Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neuroph.nnet.learning
Class PerceptronLearning

    java.lang.Object
      org.neuroph.core.learning.LearningRule
          org.neuroph.core.learning.IterativeLearning
              org.neuroph.core.learning.SupervisedLearning
                  org.neuroph.nnet.learning.LMS
                      org.neuroph.nnet.learning.PerceptronLearning

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  BinaryDeltaRule

    public class PerceptronLearning

extends LMS

Perceptron learning rule for perceptron neural networks.

Author:
  Zoran Sevarac
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.neuroph.core.learning.SupervisedLearning
`maxError, outputError, previousEpochError, totalNetworkError, totalSquaredErrorSum`

Fields inherited from class org.neuroph.core.learning.IterativeLearning
`currentIteration, iterationsLimited, learningRate, maxIterations`

Fields inherited from class org.neuroph.core.learning.LearningRule
`listeners, neuralNetwork`

Constructor Summary
`PerceptronLearning()` Creates new PerceptronLearning instance

Method Summary
`protected void` | `updateNeuronWeights(Neuron neuron)` This method implements weights update procedure for the single neuron In addition to weights change in LMS it applies change to neuron's threshold

Methods inherited from class org.neuroph.nnet.learning.LMS
`updateNetworkWeights`

Methods inherited from class org.neuroph.core.learning.SupervisedLearning
`addToSquaredErrorSum, afterEpoch, beforeEpoch, calculateOutputError, doBatchWeightsUpdate, doLearningEpoch, errorChangeStalled, getMaxError, getMinErrorChange, getMinErrorChangeIterationsCount, getMinErrorChangeIterationsLimit, getPreviousEpochError, getTotalNetworkError, hasReachedStopCondition, isInBatchMode, learn, learn, learnPattern, onStart, setBatchMode, setMaxError, setMinErrorChange, setMinErrorChangeIterationsLimit`

Methods inherited from class org.neuroph.core.learning.IterativeLearning
`doOneLearningIteration, getCurrentIteration, getLearningRate, isPausedLearning, learn, learn, pause, resume, setLearningRate, setMaxIterations`

Methods inherited from class org.neuroph.core.learning.LearningRule
`addListener, fireLearningEvent, getNeuralNetwork, getTrainingSet, isStopped, removeListener, setNeuralNetwork, setTrainingSet, stopLearning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PerceptronLearning

    public PerceptronLearning()

  Creates new PerceptronLearning instance

Method Detail

### updateNeuronWeights

    protected void updateNeuronWeights(Neuron neuron)

  This method implements weights update procedure for the single neuron In addition to weights change in LMS it applies change to neuron's threshold

  Overrides:
    `updateNeuronWeights` in class `LMS`
  Parameters:
    `neuron` - neuron to update weights
  See Also:
    `LMS.updateNetworkWeights(double[])`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.